function initsettrect(handles,datasizes)

set(handles.mainframe1,'Visible','on');
set(handles.popupmenu8,'Visible','on');
set(handles.pushbutton10,'Visible','on');
set(handles.pushbutton11,'Visible','on');
set(handles.slider3,'Visible','off');
set(handles.edit18,'Visible','off');
axes(handles.mainframe1);
if length(datasizes)==1
    set(handles.edit3,'String',[datasizes 'x1']);
else
    set(handles.edit3,'String',datasizes);
end